Compatibilte delphi version 5 et version 6

[Résolu]
Signaler
Messages postés
5
Date d'inscription
vendredi 11 mars 2005
Statut
Membre
Dernière intervention
9 avril 2009
-
Messages postés
3792
Date d'inscription
samedi 22 décembre 2007
Statut
Membre
Dernière intervention
3 juin 2016
-
Bonjour,

j'ai écrit un programme en delphi 5 et je veux maintenant l'ouvrir avec delphi 6. or lors de l'ouverture il m'indique l'erreur suivante : "la règle pour le projet X n'est pas spécifiée. Quelqu'un saurait il d'où vient l'erreur ? Si vous avez besoin de plus de renseignements n'hésiter pas à me contacter par retour .

merci

2 réponses

Messages postés
4202
Date d'inscription
samedi 16 octobre 2004
Statut
Modérateur
Dernière intervention
13 juin 2020
37
il existe quelques variante entre D5 et D6.

le mieux etant d'avoir le code pour t'indiquer ce qu'il faut modifier.

<hr size="2" width="100%" />
Messages postés
3792
Date d'inscription
samedi 22 décembre 2007
Statut
Membre
Dernière intervention
3 juin 2016
9
Essaye de supprimer tous les fichiers du projet à l'exception des fichiers .dpr, .pas, et .dfm (et .dcr ?) (la DFM risque de poser des problèmes, le type des données est changé à chaque version). Parfois, un simple fichier .res mal interprêté pose ce problème ...

Cordialement, Bacterius !